Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.api.artifacts
[Java] Interface ExternalDependency

    org.gradle.api.artifacts.ModuleVersionSelector
      org.gradle.api.artifacts.ExternalDependency
          org.gradle.plugins.ide.idea.model.ModuleDependency
              org.gradle.api.artifacts.Dependency

All Superinterfaces:
  ModuleVersionSelector, ModuleDependency, Dependency

    public interface ExternalDependency
    extends ModuleDependency, ModuleVersionSelector

An `ExternalDependency` is a Dependency on a source outside the current project hierarchy.

Authors:
  Hans Dockter

Method Summary
`ExternalDependency` | `copy()` {@inheritDoc}
`boolean` | `isForce()` Returns whether or not the version of this dependency should be enforced in the case of version conflicts.
`ExternalDependency` | `setForce(boolean force)` Sets whether or not the version of this dependency should be enforced in the case of version conflicts.

Methods inherited from interface ModuleVersionSelector
getGroup, getName, getVersion

Methods inherited from class ModuleDependency
addToNode, equals, hashCode, toString

Method Detail

### copy

    public ExternalDependency copy()

  {@inheritDoc}

### isForce

    public boolean isForce()

  Returns whether or not the version of this dependency should be enforced in the case of version conflicts.

### setForce

    public ExternalDependency setForce(boolean force)

  Sets whether or not the version of this dependency should be enforced in the case of version conflicts.
  Parameters:
    `force` - Whether to force this version or not.
  Returns:
    this

Gradle API 1.1-rc-1